PETSc version 3.17.4
Fix/Edit manual page

# TaoALMMSetMultipliers

Set user-defined Lagrange multipliers. The vector type and parallel structure of the given vectormust match equality and inequality constraints. The vector must have a local size equal to the sum of the local sizes for the constraint vectors, and a global size equal to the sum of the global sizes of the constraint vectors.

### Synopsis

    #include "petsctao.h"
    #include "petscvec.h"
    PetscErrorCode TaoALMMSetMultipliers(Tao tao, Vec Y)

### Input Parameters

| tao | - the Tao context for the TAOALMM solver
| Y | - vector of Lagrange multipliers

### Notes

This routine is only useful if the user wants to change the parallel distribution of the combined dual vector in problems that feature both equality and inequality constraints. For other tasks, it is strongly recommended that the user retreive the dual vector created by the solver using TaoALMMGetMultipliers().

### See Also

TAOALMM, TaoALMMGetMultipliers()

### Level

advanced

### Location

src/tao/constrained/impls/almm/almmutils.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages